<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/convert_access_audit_flags_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv2_p0 { color: #e0ffff; }
.textRainbow_lv1_o0 { color: #ffffe0; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/04/85  convert_access_audit_flags_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>This subroutine is provided to convert a security audit flag back and
<span id="L5" class="LineNr"> 5 </span>forth between its character string representation and the internal
<span id="L6" class="LineNr"> 6 </span>binary representation.
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Entry points in convert_access_audit_flags_:
<span id="L10" class="LineNr">10 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>:Entry:  from_string:  03/04/85 convert_access_audit_flags_$from_string
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Function:  This entry point converts the textual representation to
<span id="L17" class="LineNr">17 </span>internal representation.
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>Syntax:
<span id="L21" class="LineNr">21 </span>dcl convert_access_audit_flags_$from_string entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span>
<span id="L22" class="LineNr">22 </span>     aligned<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>call convert_access_audit_flags_$from_string <span class="textRainbow_lv0_p0">(</span>flags_str<span class="textRainbow_lv0_o0">,</span> audit_flags<span class="textRainbow_lv0_o0">,</span>
<span id="L24" class="LineNr">24 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>Arguments:
<span id="L28" class="LineNr">28 </span>flags_str
<span id="L29" class="LineNr">29 </span>   is the textual representation of the security audit flags.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>audit_flags
<span id="L31" class="LineNr">31 </span>   is the bit string internal representation of the flags.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>code
<span id="L33" class="LineNr">33 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>:Entry:  to_string:  03/04/85 convert_access_audit_flags_$to_string
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>Function:  This entry point converts from internal representation to
<span id="L40" class="LineNr">40 </span>textual representation.
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>Syntax:
<span id="L44" class="LineNr">44 </span>dcl convert_access_audit_flags_$to_string <span class="textRainbow_lv0_p0">(</span>entry <span class="textRainbow_lv1_p0">(</span>char <span class="textRainbow_lv2_p0">(</span>*<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span> bit <span class="textRainbow_lv2_p0">(</span>36<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span>
<span id="L45" class="LineNr">45 </span>     aligned<span class="textRainbow_lv1_o0">,</span> fixed bin <span class="textRainbow_lv2_p0">(</span>35<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_p0">)</span>;
<span id="L46" class="LineNr">46 </span>call convert_access_audit_flags_$to_string <span class="textRainbow_lv1_p0">(</span>flags_str<span class="textRainbow_lv1_o0">,</span> audit_flags<span class="textRainbow_lv1_o0">,</span>
<span id="L47" class="LineNr">47 </span>     code<span class="textRainbow_lv1_p0">)</span>;
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>Arguments:
<span id="L51" class="LineNr">51 </span>   flags_str is the textual representation of the security audit flags.
<span id="L52" class="LineNr">52 </span>   <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L53" class="LineNr">53 </span>audit_flags
<span id="L54" class="LineNr">54 </span>   is the bit string internal representation of the flags.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L55" class="LineNr">55 </span>code
<span id="L56" class="LineNr">56 </span>   is a standard system status code.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span> It can have one of the
<span id="L57" class="LineNr">57 </span>   following values:
<span id="L58" class="LineNr">58 </span>   error_table_$badarg
<span id="L59" class="LineNr">59 </span>      audit_flags is illegally constructed
<span id="L60" class="LineNr">60 </span>   error_table_$smallarg
<span id="L61" class="LineNr">61 </span>      flags_str is too small for result
<span id="L62" class="LineNr">62 </span>
<span id="L63" class="LineNr">63 </span>
<span id="L64" class="LineNr">64 </span>Notes:  The format of the flags string is shown in the Subroutines
<span id="L65" class="LineNr">65 </span>Manual.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
